package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum ActivityStatus {
	
	ENROLL(0, "报名中"),
	CLOSED(1,"结束"),
	OTHER(2, "其他");

	private ActivityStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, ActivityStatus> status = new HashMap<Integer, ActivityStatus>();

	static {
		for (ActivityStatus value : ActivityStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static ActivityStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static ActivityStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
